AC_DEFUN([AX_WITH_CSPICE],
[
have_spicedsk=no
AC_ARG_WITH(cspice,
  AC_HELP_STRING([--with-cspice=DIR],
                 [Specify location of cspice]),
  [
	case "$withval" in
	*)
	CSPICE_DIR="$withval"
	CSPICE_LIBDIR="$withval/lib"
	CSPICE_INCDIR="$withval/include"
	;;
	esac
  ],[CSPICE_WANT_VERSION=any])

AC_ARG_WITH(cspice-inc,
  AC_HELP_STRING([--with-cspice-inc=DIR],
                 [Specify location of cspice headers]),
                 CSPICE_INCDIR="$withval")

AC_ARG_WITH(cspice-lib,
  AC_HELP_STRING([--with-cspice-lib=DIR],
                 [Specify location of cspice libraries]),
                 CSPICE_LIBDIR="$withval")

for INCDIR in $CSPICE_INCDIR ; do
  AC_CHECK_FILE([$INCDIR/SpiceUsr.h], [CSPICE_INC=-I$INCDIR; break])
done

for LIBDIR in $CSPICE_LIBDIR; do
  AC_CHECK_FILE([$LIBDIR/cspice.a], [CSPICE_LIB="$LIBDIR/cspice.a"; break])
done

if test "x$CSPICE_LIB" = x; then
  AC_MSG_ERROR([*** install the cspice or check --with-cspice option.],[1])
fi

AC_ARG_ENABLE(spice-dsk,
  AC_HELP_STRING(
    [--enable-spice-dsk],
    [Enable SPICE DSK format (DSK library is required)]),
  [use_spice_dsk=$enableval], [use_spice_dsk=auto])

if test "x$use_spice_dsk" = "xyes"; then
  AC_CHECK_FILE(
    [$CSPICE_DIR/src/dsklib_c/SpiceDSK.h],
    [CSPICE_INC="$CSPICE_INC -I$CSPICE_DIR/src/dsklib_c"; break],
    AC_MSG_ERROR([*** cspice dsk requires SpiceDSK.h],[1]))

  AC_CHECK_FILE(
    [$LIBDIR/dsklib_c.a],
    [CSPICE_LIB="$LIBDIR/dsklib_c.a $CSPICE_LIB"],
    AC_MSG_ERROR([*** cspice dsk requires dsklib_c.a]))
  AC_DEFINE(ENABLE_SPICE_DSK, 1, [Define to 1 if you use SPICE DSK])
  have_spicedsk=yes
fi

AC_SUBST(CSPICE_CFLAGS,$CSPICE_INC)
AC_SUBST(CSPICE_LIBS,$CSPICE_LIB)
])
